<li [ngClass]="{'list-group-item':true,
'list-group-item-success': deviceStatus === deviceStatusOn,
'list-group-item-danger': deviceStatus === deviceStatusOff
}">
    <!-- <div style="width: 20px;height: 20px; background-color: red;" *ngIf="deviceStatus === deviceStatusOff"></div> -->
    <h4 [ngStyle]="{color:getColor()}">apareil : {{deviceName}} -- status appareil: {{ getDeviceStatus()}}</h4>
    <!-- <input type="text" class="form-control" [(ngModel)]="deviceName"> -->
    <a [routerLink]="[deviceId]"> Detail Appareil </a>
    <button class="btn btn-success" (click)="onSwitchOnDevice()" [disabled]="deviceStatus === deviceStatusOn"> Allumer
    </button>
    <button class="btn btn-danger" (click)="onSwitchOffDevice()" [disabled]="deviceStatus === deviceStatusOff"> Eteindre
    </button>
</li>